diff --git a/sys/dev/raid/ciss/ciss.c b/sys/dev/raid/ciss/ciss.c
index 018066898b..b62c3a0608 100644
--- a/sys/dev/raid/ciss/ciss.c
+++ b/sys/dev/raid/ciss/ciss.c
@@ -803,7 +803,6 @@ ciss_init_pci(struct ciss_softc *sc)
 			   1, 0, 			/* alignment, boundary */
 			   BUS_SPACE_MAXADDR,		/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 			   CISS_MAX_SG_ELEMENTS,	/* nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -821,7 +820,6 @@ ciss_init_pci(struct ciss_softc *sc)
 			   1, 0, 			/* alignment, boundary */
 			   BUS_SPACE_MAXADDR,		/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   MAXBSIZE, CISS_MAX_SG_ELEMENTS,	/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			   BUS_DMA_ALLOCNOW,		/* flags */
@@ -896,7 +894,6 @@ ciss_init_perf(struct ciss_softc *sc)
 			   1, 0, 			/* alignment, boundary */
 			   BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   reply_size, 1,		/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			   0,				/* flags */
@@ -1093,7 +1090,6 @@ ciss_init_requests(struct ciss_softc *sc)
 			   32, 0, 			/* alignment, boundary */
 			   BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   CISS_COMMAND_ALLOC_SIZE *
 			   sc->ciss_max_requests, 1,	/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
diff --git a/sys/dev/raid/dpt/dpt_pci.c b/sys/dev/raid/dpt/dpt_pci.c
index 0c4637322f..e9d876f46b 100644
--- a/sys/dev/raid/dpt/dpt_pci.c
+++ b/sys/dev/raid/dpt/dpt_pci.c
@@ -136,8 +136,6 @@ dpt_pci_attach (device_t dev)
 				/* boundary  */	0,
 				/* lowaddr   */	BUS_SPACE_MAXADDR_32BIT,
 				/* highaddr  */	BUS_SPACE_MAXADDR,
-				/* filter    */	NULL,
-				/* filterarg */	NULL,
 				/* maxsize   */	BUS_SPACE_MAXSIZE_32BIT,
 				/* nsegments */	BUS_SPACE_UNRESTRICTED,
 				/* maxsegsz  */	BUS_SPACE_MAXSIZE_32BIT,
diff --git a/sys/dev/raid/dpt/dpt_scsi.c b/sys/dev/raid/dpt/dpt_scsi.c
index 0f7dc9f79d..c10c17297c 100644
--- a/sys/dev/raid/dpt/dpt_scsi.c
+++ b/sys/dev/raid/dpt/dpt_scsi.c
@@ -1251,7 +1251,6 @@ dpt_init(struct dpt_softc *dpt)
 	if (bus_dma_tag_create(dpt->parent_dmat, /*alignment*/1, /*boundary*/0,
 			       /*lowaddr*/BUS_SPACE_MAXADDR,
 			       /*highaddr*/BUS_SPACE_MAXADDR,
-			       /*filter*/NULL, /*filterarg*/NULL,
 			       PAGE_SIZE, /*nsegments*/1,
 			       /*maxsegsz*/BUS_SPACE_MAXSIZE_32BIT,
 			       /*flags*/0, &dpt->sg_dmat) != 0) {
@@ -1373,7 +1372,6 @@ dpt_init(struct dpt_softc *dpt)
 	if (bus_dma_tag_create(dpt->parent_dmat, /*alignment*/1, /*boundary*/0,
 			       /*lowaddr*/BUS_SPACE_MAXADDR,
 			       /*highaddr*/BUS_SPACE_MAXADDR,
-			       /*filter*/NULL, /*filterarg*/NULL,
 			       /*maxsize*/MAXBSIZE, /*nsegments*/dpt->sgsize,
 			       /*maxsegsz*/BUS_SPACE_MAXSIZE_32BIT,
 			       /*flags*/BUS_DMA_ALLOCNOW,
@@ -1388,7 +1386,6 @@ dpt_init(struct dpt_softc *dpt)
 	if (bus_dma_tag_create(dpt->parent_dmat, /*alignment*/1, /*boundary*/0,
 			       /*lowaddr*/BUS_SPACE_MAXADDR,
 			       /*highaddr*/BUS_SPACE_MAXADDR,
-			       /*filter*/NULL, /*filterarg*/NULL,
 			       (dpt->max_dccbs * sizeof(struct dpt_ccb))
 			       + sizeof(dpt_sp_t),
 			       /*nsegments*/1,
diff --git a/sys/dev/raid/hpt27xx/hpt27xx_osm_bsd.c b/sys/dev/raid/hpt27xx/hpt27xx_osm_bsd.c
index 5985ae215f..db6605f9aa 100644
--- a/sys/dev/raid/hpt27xx/hpt27xx_osm_bsd.c
+++ b/sys/dev/raid/hpt27xx/hpt27xx_osm_bsd.c
@@ -1043,7 +1043,6 @@ static void hpt_final_init(void *dummy)
 				BUS_SPACE_MAXADDR_32BIT+1, /* boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR, 	/* highaddr */
-				NULL, NULL, 		/* filter, filterarg */
 				PAGE_SIZE * (os_max_sg_descriptors-1),	/* maxsize */
 				os_max_sg_descriptors,	/* nsegments */
 				0x10000,	/* maxsegsize */
diff --git a/sys/dev/raid/hptiop/hptiop.c b/sys/dev/raid/hptiop/hptiop.c
index b42e8ab9a1..f57dd1f22b 100644
--- a/sys/dev/raid/hptiop/hptiop.c
+++ b/sys/dev/raid/hptiop/hptiop.c
@@ -1575,7 +1575,6 @@ static int hptiop_internal_memalloc_mv(struct hpt_iop_hba *hba)
 				0,
 				BUS_SPACE_MAXADDR_32BIT,
 				BUS_SPACE_MAXADDR,
-				NULL, NULL,
 				0x800 - 0x8,
 				1,
 				BUS_SPACE_MAXSIZE_32BIT,
@@ -1630,7 +1629,6 @@ static int hptiop_internal_memalloc_mvfrey(struct hpt_iop_hba *hba)
 				0,
 				BUS_SPACE_MAXADDR_32BIT,
 				BUS_SPACE_MAXADDR,
-				NULL, NULL,
 				hba->u.mvfrey.internal_mem_size,
 				1,
 				BUS_SPACE_MAXSIZE_32BIT,
@@ -1905,7 +1903,6 @@ static int hptiop_attach(device_t dev)
 			0, /* boundary */
 			BUS_SPACE_MAXADDR,  /* lowaddr */
 			BUS_SPACE_MAXADDR,  /* highaddr */
-			NULL, NULL,         /* filter, filterarg */
 			BUS_SPACE_MAXSIZE_32BIT,    /* maxsize */
 			BUS_SPACE_UNRESTRICTED, /* nsegments */
 			BUS_SPACE_MAXSIZE_32BIT,    /* maxsegsize */
@@ -1951,7 +1948,6 @@ static int hptiop_attach(device_t dev)
 			BUS_SPACE_MAXADDR_32BIT+1, /* boundary */
 			BUS_SPACE_MAXADDR,  /* lowaddr */
 			BUS_SPACE_MAXADDR,  /* highaddr */
-			NULL, NULL,         /* filter, filterarg */
 			PAGE_SIZE * (hba->max_sg_count-1),  /* maxsize */
 			hba->max_sg_count,  /* nsegments */
 			0x20000,    /* maxsegsize */
@@ -1967,7 +1963,6 @@ static int hptiop_attach(device_t dev)
 			0, /* boundary */
 			BUS_SPACE_MAXADDR_32BIT,    /* lowaddr */
 			BUS_SPACE_MAXADDR,  /* highaddr */
-			NULL, NULL,         /* filter, filterarg */
 			HPT_SRB_MAX_SIZE * HPT_SRB_MAX_QUEUE_SIZE + 0x20,
 			1,  /* nsegments */
 			BUS_SPACE_MAXSIZE_32BIT,    /* maxsegsize */
diff --git a/sys/dev/raid/hptmv/entry.c b/sys/dev/raid/hptmv/entry.c
index 91b75fd198..d25fafcff3 100644
--- a/sys/dev/raid/hptmv/entry.c
+++ b/sys/dev/raid/hptmv/entry.c
@@ -1297,7 +1297,6 @@ init_adapter(IAL_ADAPTER_T *pAdapter)
 			BUS_SPACE_MAXADDR_32BIT+1, /* boundary */
 			BUS_SPACE_MAXADDR,	/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL, 		/* filter, filterarg */
 			PAGE_SIZE * (MAX_SG_DESCRIPTORS-1), /* maxsize */
 			MAX_SG_DESCRIPTORS, /* nsegments */
 			0x10000,	/* maxsegsize */
diff --git a/sys/dev/raid/hptrr/hptrr_osm_bsd.c b/sys/dev/raid/hptrr/hptrr_osm_bsd.c
index 3111259e93..5d35f39d7b 100644
--- a/sys/dev/raid/hptrr/hptrr_osm_bsd.c
+++ b/sys/dev/raid/hptrr/hptrr_osm_bsd.c
@@ -1018,7 +1018,6 @@ static void hpt_final_init(void *dummy)
 				BUS_SPACE_MAXADDR_32BIT+1, /* boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR, 	/* highaddr */
-				NULL, NULL, 		/* filter, filterarg */
 				PAGE_SIZE * (os_max_sg_descriptors-1),	/* maxsize */
 				os_max_sg_descriptors,	/* nsegments */
 				0x10000,	/* maxsegsize */
diff --git a/sys/dev/raid/ida/ida.c b/sys/dev/raid/ida/ida.c
index 7ed80cf921..d6dfdc8d25 100644
--- a/sys/dev/raid/ida/ida.c
+++ b/sys/dev/raid/ida/ida.c
@@ -199,7 +199,6 @@ ida_init(struct ida_softc *ida)
 	error = bus_dma_tag_create(ida->parent_dmat,
 	    /*alignment*/1, /*boundary*/0,
 	    /*lowaddr*/BUS_SPACE_MAXADDR, /*highaddr*/BUS_SPACE_MAXADDR,
-	    /*filter*/NULL, /*filterarg*/NULL,
 	    IDA_QCB_MAX * sizeof(struct ida_hardware_qcb),
 	    /*nsegments*/1, /*maxsegsz*/BUS_SPACE_MAXSIZE_32BIT,
 	    /*flags*/0, &ida->hwqcb_dmat);
@@ -210,7 +209,6 @@ ida_init(struct ida_softc *ida)
 	error = bus_dma_tag_create(ida->parent_dmat,
 	    /*alignment*/1, /*boundary*/0,
 	    /*lowaddr*/BUS_SPACE_MAXADDR, /*highaddr*/BUS_SPACE_MAXADDR,
-	    /*filter*/NULL, /*filterarg*/NULL,
 	    /*maxsize*/MAXBSIZE, /*nsegments*/IDA_NSEG,
 	    /*maxsegsz*/BUS_SPACE_MAXSIZE_32BIT, /*flags*/0, &ida->buffer_dmat);
 	if (error)
diff --git a/sys/dev/raid/ida/ida_pci.c b/sys/dev/raid/ida/ida_pci.c
index c79f13e758..8e95b39a78 100644
--- a/sys/dev/raid/ida/ida_pci.c
+++ b/sys/dev/raid/ida/ida_pci.c
@@ -259,7 +259,7 @@ ida_pci_attach(device_t dev)
 
 	error = bus_dma_tag_create(/*parent*/NULL, /*alignment*/1,
 	    /*boundary*/0, /*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
-	    /*highaddr*/BUS_SPACE_MAXADDR, /*filter*/NULL, /*filterarg*/NULL,
+	    /*highaddr*/BUS_SPACE_MAXADDR,
 	    /*maxsize*/MAXBSIZE, /*nsegments*/IDA_NSEG,
 	    /*maxsegsize*/BUS_SPACE_MAXSIZE_32BIT, /*flags*/BUS_DMA_ALLOCNOW,
 	    &ida->parent_dmat);
diff --git a/sys/dev/raid/iir/iir.c b/sys/dev/raid/iir/iir.c
index 33ed468779..820080606e 100644
--- a/sys/dev/raid/iir/iir.c
+++ b/sys/dev/raid/iir/iir.c
@@ -202,7 +202,6 @@ iir_init(struct gdt_softc *gdt)
     if (bus_dma_tag_create(gdt->sc_parent_dmat, /*alignment*/1, /*boundary*/0,
                            /*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
                            /*highaddr*/BUS_SPACE_MAXADDR,
-                           /*filter*/NULL, /*filterarg*/NULL,
                            /*maxsize*/MAXBSIZE, /*nsegments*/GDT_MAXSG,
                            /*maxsegsz*/BUS_SPACE_MAXSIZE_32BIT,
                            /*flags*/BUS_DMA_ALLOCNOW,
@@ -219,8 +218,6 @@ iir_init(struct gdt_softc *gdt)
 			   /*boundary*/0,
                            /*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
                            /*highaddr*/BUS_SPACE_MAXADDR,
-                           /*filter*/NULL,
-			   /*filterarg*/NULL,
                            GDT_MAXCMDS * GDT_SCRATCH_SZ, /* maxsize */
                            /*nsegments*/1,
                            /*maxsegsz*/BUS_SPACE_MAXSIZE_32BIT,
diff --git a/sys/dev/raid/iir/iir_pci.c b/sys/dev/raid/iir/iir_pci.c
index 9dc69ee59b..9b49f7a0d9 100644
--- a/sys/dev/raid/iir/iir_pci.c
+++ b/sys/dev/raid/iir/iir_pci.c
@@ -314,7 +314,6 @@ iir_pci_attach(device_t dev)
     if (bus_dma_tag_create(/*parent*/NULL, /*alignemnt*/1, /*boundary*/0,
                            /*lowaddr*/BUS_SPACE_MAXADDR_32BIT,
                            /*highaddr*/BUS_SPACE_MAXADDR,
-                           /*filter*/NULL, /*filterarg*/NULL,
                            /*maxsize*/BUS_SPACE_MAXSIZE_32BIT,
                            /*nsegments*/GDT_MAXSG,
                            /*maxsegsz*/BUS_SPACE_MAXSIZE_32BIT,
diff --git a/sys/dev/raid/ips/ips.c b/sys/dev/raid/ips/ips.c
index 5835928a61..22cb49454f 100644
--- a/sys/dev/raid/ips/ips.c
+++ b/sys/dev/raid/ips/ips.c
@@ -383,8 +383,6 @@ ips_adapter_init(ips_softc_t *sc)
 				/* boundary  */	0,
 				/* lowaddr   */	BUS_SPACE_MAXADDR_32BIT,
 				/* highaddr  */	BUS_SPACE_MAXADDR,
-				/* filter    */	NULL,
-				/* filterarg */	NULL,
 				/* maxsize   */	IPS_COMMAND_LEN +
 						    IPS_MAX_SG_LEN,
 				/* numsegs   */	1,
@@ -400,8 +398,6 @@ ips_adapter_init(ips_softc_t *sc)
 				/* boundary  */	0,
 				/* lowaddr   */	BUS_SPACE_MAXADDR_32BIT,
 				/* highaddr  */	BUS_SPACE_MAXADDR,
-				/* filter    */	NULL,
-				/* filterarg */	NULL,
 				/* maxsize   */	IPS_MAX_IOBUF_SIZE,
 				/* numsegs   */	IPS_MAX_SG_ELEMENTS,
 				/* maxsegsize*/	IPS_MAX_IOBUF_SIZE,
@@ -642,8 +638,6 @@ ips_copperhead_queue_init(ips_softc_t *sc)
 				/* boundary  */	0,
 				/* lowaddr   */	BUS_SPACE_MAXADDR_32BIT,
 				/* highaddr  */	BUS_SPACE_MAXADDR,
-				/* filter    */	NULL,
-				/* filterarg */	NULL,
 				/* maxsize   */	sizeof(ips_copper_queue_t),
 				/* numsegs   */	1,
 				/* maxsegsize*/	sizeof(ips_copper_queue_t),
diff --git a/sys/dev/raid/ips/ips_commands.c b/sys/dev/raid/ips/ips_commands.c
index 499b5f36db..99b435292e 100644
--- a/sys/dev/raid/ips/ips_commands.c
+++ b/sys/dev/raid/ips/ips_commands.c
@@ -295,8 +295,6 @@ ips_send_adapter_info_cmd(ips_command_t *command)
 				/* boundary  */	0,
 				/* lowaddr   */	BUS_SPACE_MAXADDR_32BIT,
 				/* highaddr  */	BUS_SPACE_MAXADDR,
-				/* filter    */	NULL,
-				/* filterarg */	NULL,
 				/* maxsize   */	IPS_ADAPTER_INFO_LEN,
 				/* numsegs   */	1,
 				/* maxsegsize*/	IPS_ADAPTER_INFO_LEN,
@@ -395,8 +393,6 @@ ips_send_drive_info_cmd(ips_command_t *command)
 				/* boundary  */	0,
 				/* lowaddr   */	BUS_SPACE_MAXADDR_32BIT,
 				/* highaddr  */	BUS_SPACE_MAXADDR,
-				/* filter    */	NULL,
-				/* filterarg */	NULL,
 				/* maxsize   */	IPS_DRIVE_INFO_LEN,
 				/* numsegs   */	1,
 				/* maxsegsize*/	IPS_DRIVE_INFO_LEN,
@@ -655,8 +651,6 @@ ips_read_nvram(ips_command_t *command)
 				/* boundary  */	0,
 				/* lowaddr   */	BUS_SPACE_MAXADDR_32BIT,
 				/* highaddr  */	BUS_SPACE_MAXADDR,
-				/* filter    */	NULL,
-				/* filterarg */	NULL,
 				/* maxsize   */	IPS_NVRAM_PAGE_SIZE,
 				/* numsegs   */	1,
 				/* maxsegsize*/	IPS_NVRAM_PAGE_SIZE,
diff --git a/sys/dev/raid/ips/ips_ioctl.c b/sys/dev/raid/ips/ips_ioctl.c
index 4e4540352d..8a6444c4be 100644
--- a/sys/dev/raid/ips/ips_ioctl.c
+++ b/sys/dev/raid/ips/ips_ioctl.c
@@ -106,8 +106,6 @@ ips_ioctl_cmd(ips_softc_t *sc, ips_ioctl_t *ioctl_cmd,
 			/* boundary  */	0,
 			/* lowaddr   */	BUS_SPACE_MAXADDR_32BIT,
 			/* highaddr  */	BUS_SPACE_MAXADDR,
-			/* filter    */	NULL,
-			/* filterarg */	NULL,
 			/* maxsize   */	ioctl_cmd->datasize,
 			/* numsegs   */	1,
 			/* maxsegsize*/	ioctl_cmd->datasize,
diff --git a/sys/dev/raid/ips/ips_pci.c b/sys/dev/raid/ips/ips_pci.c
index 011e7e49ab..83551f01e1 100644
--- a/sys/dev/raid/ips/ips_pci.c
+++ b/sys/dev/raid/ips/ips_pci.c
@@ -140,8 +140,6 @@ ips_pci_attach(device_t dev)
 				/* boundary  */	0,
 				/* lowaddr   */	BUS_SPACE_MAXADDR_32BIT,
 				/* highaddr  */	BUS_SPACE_MAXADDR,
-				/* filter    */	NULL,
-				/* filterarg */	NULL,
 				/* maxsize   */	BUS_SPACE_MAXSIZE_32BIT,
 				/* numsegs   */	IPS_MAX_SG_ELEMENTS,
 				/* maxsegsize*/	BUS_SPACE_MAXSIZE_32BIT,
diff --git a/sys/dev/raid/mfi/mfi.c b/sys/dev/raid/mfi/mfi.c
index 3a586755dd..5a727c9b45 100644
--- a/sys/dev/raid/mfi/mfi.c
+++ b/sys/dev/raid/mfi/mfi.c
@@ -421,7 +421,6 @@ mfi_attach(struct mfi_softc *sc)
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				MEGASAS_MAX_NAME*sizeof(bus_addr_t),			/* maxsize */
 				1,			/* msegments */
 				MEGASAS_MAX_NAME*sizeof(bus_addr_t),			/* maxsegsize */
@@ -465,7 +464,6 @@ mfi_attach(struct mfi_softc *sc)
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				tb_mem_size,		/* maxsize */
 				1,			/* msegments */
 				tb_mem_size,		/* maxsegsize */
@@ -488,7 +486,6 @@ mfi_attach(struct mfi_softc *sc)
 				0x100, 0,		/* alignmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				MFI_FRAME_SIZE,		/* maxsize */
 				1,			/* msegments */
 				MFI_FRAME_SIZE,		/* maxsegsize */
@@ -523,7 +520,6 @@ mfi_attach(struct mfi_softc *sc)
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				tb_mem_size,		/* maxsize */
 				1,			/* msegments */
 				tb_mem_size,		/* maxsegsize */
@@ -552,7 +548,6 @@ mfi_attach(struct mfi_softc *sc)
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				BUS_SPACE_MAXSIZE_32BIT,/* maxsize */
 				sc->mfi_max_sge,	/* nsegments */
 				BUS_SPACE_MAXSIZE_32BIT,/* maxsegsize */
@@ -574,7 +569,6 @@ mfi_attach(struct mfi_softc *sc)
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				commsz,			/* maxsize */
 				1,			/* msegments */
 				commsz,			/* maxsegsize */
@@ -616,7 +610,6 @@ mfi_attach(struct mfi_softc *sc)
 				64, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				framessz,		/* maxsize */
 				1,			/* nsegments */
 				framessz,		/* maxsegsize */
@@ -642,7 +635,6 @@ mfi_attach(struct mfi_softc *sc)
 				4, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				sensesz,		/* maxsize */
 				1,			/* nsegments */
 				sensesz,		/* maxsegsize */
@@ -2757,7 +2749,6 @@ mfi_stp_cmd(struct mfi_softc *sc, struct mfi_command *cm,caddr_t arg)
 			1, 0,			/* algnmnt, boundary */
 			BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			ioc->mfi_sgl[i].iov_len,/* maxsize */
 			2,			/* nsegments */
 			ioc->mfi_sgl[i].iov_len,/* maxsegsize */
diff --git a/sys/dev/raid/mfi/mfi_pci.c b/sys/dev/raid/mfi/mfi_pci.c
index 4d62eec028..16b87a1cda 100644
--- a/sys/dev/raid/mfi/mfi_pci.c
+++ b/sys/dev/raid/mfi/mfi_pci.c
@@ -272,7 +272,6 @@ mfi_pci_attach(device_t dev)
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				BUS_SPACE_MAXSIZE_32BIT,/* maxsize */
 				BUS_SPACE_UNRESTRICTED,	/* nsegments */
 				BUS_SPACE_MAXSIZE_32BIT,/* maxsegsize */
diff --git a/sys/dev/raid/mlx/mlx.c b/sys/dev/raid/mlx/mlx.c
index 75e4f3e5fd..aab5315aa9 100644
--- a/sys/dev/raid/mlx/mlx.c
+++ b/sys/dev/raid/mlx/mlx.c
@@ -236,7 +236,6 @@ mlx_sglist_map(struct mlx_softc *sc)
 			       1, 0, 			/* alignment, boundary */
 			       BUS_SPACE_MAXADDR,	/* lowaddr */
 			       BUS_SPACE_MAXADDR, 	/* highaddr */
-			       NULL, NULL, 		/* filter, filterarg */
 			       segsize, 1,		/* maxsize, nsegments */
 			       BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			       0,			/* flags */
@@ -365,7 +364,6 @@ mlx_attach(struct mlx_softc *sc)
 			       1, 0, 				/* alignment, boundary */
 			       BUS_SPACE_MAXADDR,		/* lowaddr */
 			       BUS_SPACE_MAXADDR, 		/* highaddr */
-			       NULL, NULL, 			/* filter, filterarg */
 			       MAXBSIZE, MLX_NSEG,		/* maxsize, nsegments */
 			       BUS_SPACE_MAXSIZE_32BIT,		/* maxsegsize */
 			       0,				/* flags */
diff --git a/sys/dev/raid/mlx/mlx_pci.c b/sys/dev/raid/mlx/mlx_pci.c
index 7955bc3ba3..596cbf7ab7 100644
--- a/sys/dev/raid/mlx/mlx_pci.c
+++ b/sys/dev/raid/mlx/mlx_pci.c
@@ -186,7 +186,6 @@ mlx_pci_attach(device_t dev)
 			       1, 0, 			/* alignment, boundary */
 			       BUS_SPACE_MAXADDR_32BIT, /* lowaddr */
 			       BUS_SPACE_MAXADDR, 	/* highaddr */
-			       NULL, NULL, 		/* filter, filterarg */
 			       MAXBSIZE, MLX_NSEG,	/* maxsize, nsegments */
 			       BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			       BUS_DMA_ALLOCNOW,	/* flags */
diff --git a/sys/dev/raid/mly/mly.c b/sys/dev/raid/mly/mly.c
index f56286a2dc..ead19fd79f 100644
--- a/sys/dev/raid/mly/mly.c
+++ b/sys/dev/raid/mly/mly.c
@@ -401,7 +401,6 @@ mly_pci_attach(struct mly_softc *sc)
 			   1, 0, 			/* alignment, boundary */
 			   BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   MAXBSIZE, MLY_MAX_SGENTRIES,	/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			   BUS_DMA_ALLOCNOW,		/* flags */
@@ -417,7 +416,6 @@ mly_pci_attach(struct mly_softc *sc)
 			   1, 0, 			/* alignment, boundary */
 			   BUS_SPACE_MAXADDR,		/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   MAXBSIZE, MLY_MAX_SGENTRIES,	/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			   0,				/* flags */
@@ -433,7 +431,6 @@ mly_pci_attach(struct mly_softc *sc)
 			   1, 0, 			/* alignment, boundary */
 			   BUS_SPACE_MAXADDR,		/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   sizeof(union mly_command_packet) * MLY_MAX_COMMANDS, 1,	/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			   BUS_DMA_ALLOCNOW,		/* flags */
@@ -580,7 +577,6 @@ mly_sg_map(struct mly_softc *sc)
 			   1, 0, 			/* alignment,boundary */
 			   BUS_SPACE_MAXADDR,		/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   segsize, 1,			/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			   BUS_DMA_ALLOCNOW,		/* flags */
@@ -636,7 +632,6 @@ mly_mmbox_map(struct mly_softc *sc)
 			   1, 0, 			/* alignment,boundary */
 			   BUS_SPACE_MAXADDR,		/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   sizeof(struct mly_mmbox), 1,	/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			   BUS_DMA_ALLOCNOW,		/* flags */
diff --git a/sys/dev/raid/mpr/mpr.c b/sys/dev/raid/mpr/mpr.c
index 0bc446919c..1a1f11b7f2 100644
--- a/sys/dev/raid/mpr/mpr.c
+++ b/sys/dev/raid/mpr/mpr.c
@@ -1308,7 +1308,6 @@ mpr_alloc_hw_queues(struct mpr_softc *sc)
 				16, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 qsize,			/* maxsize */
                                 1,			/* nsegments */
                                 qsize,			/* maxsegsize */
@@ -1358,7 +1357,6 @@ mpr_alloc_replies(struct mpr_softc *sc)
 				4, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 rsize,			/* maxsize */
                                 1,			/* nsegments */
                                 rsize,			/* maxsegsize */
@@ -1418,7 +1416,6 @@ mpr_alloc_requests(struct mpr_softc *sc)
 				16, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 rsize,			/* maxsize */
                                 1,			/* nsegments */
                                 rsize,			/* maxsegsize */
@@ -1449,7 +1446,6 @@ mpr_alloc_requests(struct mpr_softc *sc)
 				16, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				rsize,			/* maxsize */
 				howmany(rsize, PAGE_SIZE), /* nsegments */
 				rsize,			/* maxsegsize */
@@ -1476,7 +1472,6 @@ mpr_alloc_requests(struct mpr_softc *sc)
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 rsize,			/* maxsize */
                                 1,			/* nsegments */
                                 rsize,			/* maxsegsize */
@@ -1511,7 +1506,6 @@ mpr_alloc_requests(struct mpr_softc *sc)
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 BUS_SPACE_MAXSIZE_32BIT,/* maxsize */
                                 nsegs,			/* nsegments */
                                 BUS_SPACE_MAXSIZE_32BIT,/* maxsegsize */
@@ -1606,7 +1600,6 @@ mpr_alloc_nvme_prp_pages(struct mpr_softc *sc)
 				4, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				rsize,			/* maxsize */
 				1,			/* nsegments */
 				rsize,			/* maxsegsize */
diff --git a/sys/dev/raid/mpr/mpr_pci.c b/sys/dev/raid/mpr/mpr_pci.c
index d8a28a9fe7..12eda7cb72 100644
--- a/sys/dev/raid/mpr/mpr_pci.c
+++ b/sys/dev/raid/mpr/mpr_pci.c
@@ -223,7 +223,6 @@ mpr_pci_attach(device_t dev)
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				BUS_SPACE_MAXSIZE_32BIT,/* maxsize */
 				BUS_SPACE_UNRESTRICTED,	/* nsegments */
 				BUS_SPACE_MAXSIZE_32BIT,/* maxsegsize */
diff --git a/sys/dev/raid/mpr/mpr_user.c b/sys/dev/raid/mpr/mpr_user.c
index 1de6fca57e..767a4a1ac3 100644
--- a/sys/dev/raid/mpr/mpr_user.c
+++ b/sys/dev/raid/mpr/mpr_user.c
@@ -1509,7 +1509,6 @@ mpr_diag_register(struct mpr_softc *sc, mpr_fw_diag_register_t *diag_register,
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 buffer_size,		/* maxsize */
                                 1,			/* nsegments */
                                 buffer_size,		/* maxsegsize */
diff --git a/sys/dev/raid/mps/mps.c b/sys/dev/raid/mps/mps.c
index 4c1a15c24d..32662486b3 100644
--- a/sys/dev/raid/mps/mps.c
+++ b/sys/dev/raid/mps/mps.c
@@ -679,7 +679,6 @@ mps_alloc_queues(struct mps_softc *sc)
 				16, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 qsize,			/* maxsize */
                                 1,			/* nsegments */
                                 qsize,			/* maxsegsize */
@@ -722,7 +721,6 @@ mps_alloc_replies(struct mps_softc *sc)
 				4, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 rsize,			/* maxsize */
                                 1,			/* nsegments */
                                 rsize,			/* maxsegsize */
@@ -755,7 +753,6 @@ mps_alloc_requests(struct mps_softc *sc)
 				16, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 rsize,			/* maxsize */
                                 1,			/* nsegments */
                                 rsize,			/* maxsegsize */
@@ -778,7 +775,6 @@ mps_alloc_requests(struct mps_softc *sc)
 				16, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 rsize,			/* maxsize */
                                 1,			/* nsegments */
                                 rsize,			/* maxsegsize */
@@ -801,7 +797,6 @@ mps_alloc_requests(struct mps_softc *sc)
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 rsize,			/* maxsize */
                                 1,			/* nsegments */
                                 rsize,			/* maxsegsize */
@@ -837,7 +832,6 @@ mps_alloc_requests(struct mps_softc *sc)
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 BUS_SPACE_MAXSIZE_32BIT,/* maxsize */
                                 nsegs,			/* nsegments */
                                 BUS_SPACE_MAXSIZE_24BIT,/* maxsegsize */
diff --git a/sys/dev/raid/mps/mps_pci.c b/sys/dev/raid/mps/mps_pci.c
index 58ba019993..045d882343 100644
--- a/sys/dev/raid/mps/mps_pci.c
+++ b/sys/dev/raid/mps/mps_pci.c
@@ -221,7 +221,6 @@ mps_pci_attach(device_t dev)
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR,	/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				BUS_SPACE_MAXSIZE_32BIT,/* maxsize */
 				BUS_SPACE_UNRESTRICTED,	/* nsegments */
 				BUS_SPACE_MAXSIZE_32BIT,/* maxsegsize */
diff --git a/sys/dev/raid/mps/mps_user.c b/sys/dev/raid/mps/mps_user.c
index f68ffbb9bb..cf81c40f43 100644
--- a/sys/dev/raid/mps/mps_user.c
+++ b/sys/dev/raid/mps/mps_user.c
@@ -1377,7 +1377,6 @@ mps_diag_register(struct mps_softc *sc, mps_fw_diag_register_t *diag_register,
 				1, 0,			/* algnmnt, boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
                                 buffer_size,		/* maxsize */
                                 1,			/* nsegments */
                                 buffer_size,		/* maxsegsize */
